Bug 207514 - comms/svxlink: Update to 14.08.2
Summary: comms/svxlink: Update to 14.08.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: hamradio (Nobody)
URL: https://github.com/sm0svx/svxlink/rel...
Keywords: needs-qa, patch
Depends on:
Blocks: 207243
  Show dependency treegraph
 
Reported: 2016-02-26 11:49 UTC by Koop Mast
Modified: 2016-03-06 00:04 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hamradio)
koobs: merge-quarterly?


Attachments
svxlink update to 14.08.2. (3.59 KB, patch)
2016-02-26 11:49 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2016-02-26 11:49:34 UTC
Created attachment 167436 [details]
svxlink update to 14.08.2.

Update svxlink and qtel to 14.08.2.

As part of bug #207243 which updates libsigc++20, glibmm and friends to newer versions. These versions have a hard requirement on c++11. The .2 release has several c++11 fixes that allow it to be build with the new libsigc++ and friends.
Comment 1 Koop Mast freebsd_committer 2016-03-03 16:40:43 UTC
merge to quarterly isn't required since I have no intention of MFH's the libsigc++20/glibmm stuff over, and having the whole C++11 mess there too.

(also ping)
Comment 2 Diane Bruce freebsd_committer 2016-03-03 17:07:42 UTC
Yes at least one of us is watching. Did you just need maintainer approval? ;)
Comment 3 Koop Mast freebsd_committer 2016-03-03 17:18:53 UTC
yes please, that is how it goes normally right? :)
Comment 4 Diane Bruce freebsd_committer 2016-03-04 13:12:41 UTC
(In reply to Koop Mast from comment #3)

Oh. Please commit then.
Comment 5 commit-hook freebsd_committer 2016-03-06 00:00:06 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar  5 23:59:21 UTC 2016
New revision: 410219
URL: https://svnweb.freebsd.org/changeset/ports/410219

Log:
  Update svxlink to 14.08.2.

  This update contains commits so it builds with c++11. This is needed
  for the libsigc++20 update to 2.6, which has a hard requirement on a c++11
  compiler. As such add USES=compiler:c++11-lib.

  PR:		207514
  Approved by:	hamradio@ (db@)

Changes:
  head/comms/svxlink/Makefile
  head/comms/svxlink/distinfo
  head/comms/svxlink/files/patch-src_locationinfo_LocationInfo.h
  head/comms/svxlink/pkg-plist